[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index] [List Home]
Re: [p2-dev] How to read a version mismatch?


For what it's worth, these messages have been cleaned up a bit in 3.4.2 and 3.5:

https://bugs.eclipse.org/bugs/show_bug.cgi?id=240062

I agree with Pascal in this case that you are trying to install something that includes or requires a different version of the platform feature from the one you have installed.

John



Pascal Rapicault/Ottawa/IBM@IBMCA
Sent by: p2-dev-bounces@xxxxxxxxxxx

11/28/2008 03:45 PM

Please respond to
P2 developer discussions <p2-dev@xxxxxxxxxxx>

To
P2 developer discussions <p2-dev@xxxxxxxxxxx>
cc
p2-dev@xxxxxxxxxxx, p2-dev-bounces@xxxxxxxxxxx
Subject
Re: [p2-dev] How to read a version mismatch?





There is no such page. The only tip is to skim through the output and try to find some obvious conflicts (e.g Cannot find a solution where both Match[requiredCapability) and walk up the feature chain from that. For example, in this case, I can guess that you are somehow trying to install two versions of the org.eclipse.debug.ui, probably caused by trying to install two different versions of the platform.feature. So what is probably happening is that whatever you are trying to install has a precise dep on the platform.feature and this collides with what you have already installed.

Note that this is not the output of SAT4J, but something ugly and homebrewed. The output of sat4j is something more abrupt like "problem unsatisfiable". Hopefully this will likely be improved by some joint work between the SAT4J team and Genuitec in the 3.5 timeframe.

HTH,


Inactive hide details for "Paul Webster" ---28/11/2008 09:22:43 AM---Is there a wiki with a suggestion on how to get to the roo"Paul Webster" ---28/11/2008 09:22:43 AM---Is there a wiki with a suggestion on how to get to the root cause of a

From:

"Paul Webster" <pwebster@xxxxxxxxxxxxxxxxxxx>

To:

p2-dev@xxxxxxxxxxx

Date:

28/11/2008 09:22 AM

Subject:

[p2-dev] How to read a version mismatch?






Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.core.resources/[3.4.1.R34x_v20080902,3.4.1.R34x_v20080902]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.core.resources/[3.4.0.v20080604-1400,3.4.0.v20080604-1400]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.equinox.launcher.gtk.linux.x86_64/[1.0.101.R34x_v20080731,1.0.101.R34x_v20080731]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.equinox.launcher.gtk.linux.x86_64/[1.0.100.v20080606,1.0.100.v20080606]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.ltk.core.refactoring/[3.4.1.r341_v20080716-0800,3.4.1.r341_v20080716-0800]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.ltk.core.refactoring/[3.4.0.v20080603-2000,3.4.0.v20080603-2000]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.help.feature.jar/[1.0.1.R34x_v20080827-7r7xEIxEI6Zu5nEqN7M3UBpglaat,1.0.1.R34x_v20080827-7r7xEIxEI6Zu5nEqN7M3UBpglaat]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.help.feature.jar/[1.0.0.v20080603-7r7xEHJEJkZu5nE6Q4Qrtvu6JZ9L,1.0.0.v20080603-7r7xEHJEJkZu5nE6Q4Qrtvu6JZ9L]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.ui/[3.4.1.M20080910-0800,3.4.1.M20080910-0800]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.ui/[3.4.0.I20080610-1200,3.4.0.I20080610-1200]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.osgi/[3.4.2.R34x_v20080826-1230,3.4.2.R34x_v20080826-1230]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.osgi/[3.4.0.v20080605-1900,3.4.0.v20080605-1900]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.swt.gtk.linux.x86_64/[3.4.1.v3449c,3.4.1.v3449c]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.swt.gtk.linux.x86_64/[3.4.0.v3448f,3.4.0.v3448f]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.epic.regexp/[0.6.1,0.6.1]] and
Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.epic.regexp/[0.1.4,0.1.4]] can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.ui.workbench/[3.4.1.M20080827-0800a,3.4.1.M20080827-0800a]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.ui.workbench/[3.4.0.I20080606-1300,3.4.0.I20080606-1300]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.help.ui/[3.3.101.M20080715_34x,3.3.101.M20080715_34x]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.help.ui/[3.3.100.v20080521,3.3.100.v20080521]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.swt/[3.4.1.v3449c,3.4.1.v3449c]] and
Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.swt/[3.4.0.v3448f,3.4.0.v3448f]] can be
satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.help.base/[3.3.101.M20080728_34x,3.3.101.M20080728_34x]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.help.base/[3.3.100.v20080617,3.3.100.v20080617]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.platform/[3.3.101.v200809111700,3.3.101.v200809111700]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.platform/[3.3.100.v200806172000,3.3.100.v200806172000]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.ui.ide/[3.4.1.M20080903-2000,3.4.1.M20080903-2000]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.ui.ide/[3.4.0.I20080606-1300,3.4.0.I20080606-1300]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.help.webapp/[3.3.101.M20080805_34x,3.3.101.M20080805_34x]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.help.webapp/[3.3.100.v20080528,3.3.100.v20080528]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.update.configurator/[3.2.201.R34x_v20080819,3.2.201.R34x_v20080819]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.update.configurator/[3.2.200.v20080417,3.2.200.v20080417]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.ui.navigator.resources/[3.3.101.M20080910-0800,3.3.101.M20080910-0800]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.ui.navigator.resources/[3.3.100.I20080606-1300,3.3.100.I20080606-1300]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.help/[3.3.101.v20080702_34x,3.3.101.v20080702_34x]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.help/[3.3.100.v20080610,3.3.100.v20080610]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.ui.views.properties.tabbed/[3.4.1.M20080730-0800,3.4.1.M20080730-0800]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.ui.views.properties.tabbed/[3.4.0.I20080527-2000,3.4.0.I20080527-2000]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.ltk.ui.refactoring/[3.4.1.r341_v20080716-0800,3.4.1.r341_v20080716-0800]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.ltk.ui.refactoring/[3.4.0.v20080605-1800,3.4.0.v20080605-1800]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.equinox.security/[1.0.1.R34x_v20080721,1.0.1.R34x_v20080721]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.equinox.security/[1.0.0.v20080512-1800,1.0.0.v20080512-1800]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.ui.workbench.texteditor/[3.4.1.r341_v20080827-1100,3.4.1.r341_v20080827-1100]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.ui.workbench.texteditor/[3.4.0.v20080603-2000,3.4.0.v20080603-2000]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.ui.browser/[3.2.201.v20080708_34x,3.2.201.v20080708_34x]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.ui.browser/[3.2.200.v20080507,3.2.200.v20080507]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.rcp.feature.jar/[3.4.100.r341_v20080814-989JESIEdAciFYfkZZsBfSwQ2341,3.4.100.r341_v20080814-989JESIEdAciFYfkZZsBfSwQ2341]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.rcp.feature.jar/[3.4.0.v20080324a-989JERhEk-jWnd5IY8K5tjxB,3.4.0.v20080324a-989JERhEk-jWnd5IY8K5tjxB]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.ui.intro/[3.2.201.v20080702_34x,3.2.201.v20080702_34x]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.ui.intro/[3.2.200.v20080610,3.2.200.v20080610]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.platform.doc.user/[3.4.1.r341_v20080808-0800,3.4.1.r341_v20080808-0800]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.platform.doc.user/[3.4.0.v20080612-1340,3.4.0.v20080612-1340]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.search/[3.4.1.r341_v20080813-0800,3.4.1.r341_v20080813-0800]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.search/[3.4.0.v20080603-2000,3.4.0.v20080603-2000]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.team.ui/[3.4.1.r34x_20080827,3.4.1.r34x_20080827]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.team.ui/[3.4.0.I20080604,3.4.0.I20080604]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.ui.cheatsheets/[3.3.101.v20080702_34x,3.3.101.v20080702_34x]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.ui.cheatsheets/[3.3.100.v20080508,3.3.100.v20080508]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.ui.navigator/[3.3.101.M20080827-0800,3.3.101.M20080827-0800]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.ui.navigator/[3.3.100.I20080606-1300,3.3.100.I20080606-1300]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.team.core/[3.4.1.r34x_20080827,3.4.1.r34x_20080827]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.team.core/[3.4.0.I20080605,3.4.0.I20080605]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.platform.feature.jar/[3.4.1.r341_v20080731-9I96EiDElYevwz-p1bP5z-NlAaP7vtX6Utotqsu,3.4.1.r341_v20080731-9I96EiDElYevwz-p1bP5z-NlAaP7vtX6Utotqsu]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.platform.feature.jar/[3.4.0.v20080610-9I96EhtEm-T_5LxIsybz-3MdGZmOA3uwv7Ka_M,3.4.0.v20080610-9I96EhtEm-T_5LxIsybz-3MdGZmOA3uwv7Ka_M]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.update.core/[3.2.201.R34x_v20080714,3.2.201.R34x_v20080714]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.update.core/[3.2.200.v20080515,3.2.200.v20080515]]
can be satisfied.
Unsatisfied dependency: [org.eclipse.platform.feature.group
3.4.0.v20080610-9I96EhtEm-T_5LxIsybz-3MdGZmOA3uwv7Ka_M] requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.update.core/[3.2.200.v20080515,3.2.200.v20080515]
Unsatisfied dependency: [org.eclipse.platform.feature.group
3.4.0.v20080610-9I96EhtEm-T_5LxIsybz-3MdGZmOA3uwv7Ka_M] requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.team.ui/[3.4.0.I20080604,3.4.0.I20080604]
Unsatisfied dependency: [org.eclipse.platform.feature.group
3.4.0.v20080610-9I96EhtEm-T_5LxIsybz-3MdGZmOA3uwv7Ka_M] requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.ui.navigator/[3.3.100.I20080606-1300,3.3.100.I20080606-1300]
Unsatisfied dependency: [org.eclipse.platform.feature.group
3.4.0.v20080610-9I96EhtEm-T_5LxIsybz-3MdGZmOA3uwv7Ka_M] requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.ui.navigator.resources/[3.3.100.I20080606-1300,3.3.100.I20080606-1300]
Unsatisfied dependency: [org.eclipse.platform.feature.group
3.4.0.v20080610-9I96EhtEm-T_5LxIsybz-3MdGZmOA3uwv7Ka_M] requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.search/[3.4.0.v20080603-2000,3.4.0.v20080603-2000]
Unsatisfied dependency: [org.eclipse.platform.feature.group
3.4.0.v20080610-9I96EhtEm-T_5LxIsybz-3MdGZmOA3uwv7Ka_M] requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.team.core/[3.4.0.I20080605,3.4.0.I20080605]
Unsatisfied dependency: [org.eclipse.platform.feature.group
3.4.0.v20080610-9I96EhtEm-T_5LxIsybz-3MdGZmOA3uwv7Ka_M] requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.ltk.ui.refactoring/[3.4.0.v20080605-1800,3.4.0.v20080605-1800]
Unsatisfied dependency: [org.eclipse.platform.feature.group
3.4.0.v20080610-9I96EhtEm-T_5LxIsybz-3MdGZmOA3uwv7Ka_M] requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.debug.ui/[3.4.0.v20080529-1300,3.4.0.v20080529-1300]
Unsatisfied dependency: [org.eclipse.platform.feature.group
3.4.0.v20080610-9I96EhtEm-T_5LxIsybz-3MdGZmOA3uwv7Ka_M] requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.ui.browser/[3.2.200.v20080507,3.2.200.v20080507]
Unsatisfied dependency: [org.eclipse.platform.feature.group
3.4.0.v20080610-9I96EhtEm-T_5LxIsybz-3MdGZmOA3uwv7Ka_M] requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.ui.workbench.texteditor/[3.4.0.v20080603-2000,3.4.0.v20080603-2000]
Unsatisfied dependency: [org.eclipse.platform.feature.group
3.4.0.v20080610-9I96EhtEm-T_5LxIsybz-3MdGZmOA3uwv7Ka_M] requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.platform/[3.3.100.v200806172000,3.3.100.v200806172000]
Unsatisfied dependency: [org.eclipse.platform.feature.group
3.4.0.v20080610-9I96EhtEm-T_5LxIsybz-3MdGZmOA3uwv7Ka_M] requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.ltk.core.refactoring/[3.4.0.v20080603-2000,3.4.0.v20080603-2000]
Unsatisfied dependency: [org.eclipse.platform.feature.group
3.4.0.v20080610-9I96EhtEm-T_5LxIsybz-3MdGZmOA3uwv7Ka_M] requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.platform.doc.user/[3.4.0.v20080612-1340,3.4.0.v20080612-1340]
Unsatisfied dependency: [org.eclipse.platform.feature.group
3.4.0.v20080610-9I96EhtEm-T_5LxIsybz-3MdGZmOA3uwv7Ka_M] requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.help.feature.group/[1.0.0.v20080603-7r7xEHJEJkZu5nE6Q4Qrtvu6JZ9L,1.0.0.v20080603-7r7xEHJEJkZu5nE6Q4Qrtvu6JZ9L]
Unsatisfied dependency: [org.eclipse.platform.feature.group
3.4.0.v20080610-9I96EhtEm-T_5LxIsybz-3MdGZmOA3uwv7Ka_M] requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.ui.views.properties.tabbed/[3.4.0.I20080527-2000,3.4.0.I20080527-2000]
Unsatisfied dependency: [org.eclipse.platform.feature.group
3.4.0.v20080610-9I96EhtEm-T_5LxIsybz-3MdGZmOA3uwv7Ka_M] requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.equinox.security/[1.0.0.v20080512-1800,1.0.0.v20080512-1800]
Unsatisfied dependency: [org.eclipse.platform.feature.group
3.4.0.v20080610-9I96EhtEm-T_5LxIsybz-3MdGZmOA3uwv7Ka_M] requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.ui.intro/[3.2.200.v20080610,3.2.200.v20080610]
Unsatisfied dependency: [org.eclipse.platform.feature.group
3.4.0.v20080610-9I96EhtEm-T_5LxIsybz-3MdGZmOA3uwv7Ka_M] requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.platform.feature.jar/[3.4.0.v20080610-9I96EhtEm-T_5LxIsybz-3MdGZmOA3uwv7Ka_M,3.4.0.v20080610-9I96EhtEm-T_5LxIsybz-3MdGZmOA3uwv7Ka_M]
Unsatisfied dependency: [org.eclipse.platform.feature.group
3.4.0.v20080610-9I96EhtEm-T_5LxIsybz-3MdGZmOA3uwv7Ka_M] requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.core.resources/[3.4.0.v20080604-1400,3.4.0.v20080604-1400]
Unsatisfied dependency: [org.eclipse.platform.feature.group
3.4.0.v20080610-9I96EhtEm-T_5LxIsybz-3MdGZmOA3uwv7Ka_M] requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.ui.cheatsheets/[3.3.100.v20080508,3.3.100.v20080508]
Unsatisfied dependency: [org.eclipse.platform.feature.group
3.4.0.v20080610-9I96EhtEm-T_5LxIsybz-3MdGZmOA3uwv7Ka_M] requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.ui.ide/[3.4.0.I20080606-1300,3.4.0.I20080606-1300]
Unsatisfied dependency: [org.eclipse.rcp.feature.group
3.4.0.v20080324a-989JERhEk-jWnd5IY8K5tjxB] requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.ui/[3.4.0.I20080610-1200,3.4.0.I20080610-1200]
Unsatisfied dependency: [org.eclipse.rcp.feature.group
3.4.0.v20080324a-989JERhEk-jWnd5IY8K5tjxB] requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.equinox.preferences/[3.2.200.v20080421-2006,3.2.200.v20080421-2006]
Unsatisfied dependency: [org.eclipse.rcp.feature.group
3.4.0.v20080324a-989JERhEk-jWnd5IY8K5tjxB] requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.ui.workbench/[3.4.0.I20080606-1300,3.4.0.I20080606-1300]
Unsatisfied dependency: [org.eclipse.rcp.feature.group
3.4.0.v20080324a-989JERhEk-jWnd5IY8K5tjxB] requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.osgi/[3.4.0.v20080605-1900,3.4.0.v20080605-1900]
Unsatisfied dependency: [org.eclipse.rcp.feature.group
3.4.0.v20080324a-989JERhEk-jWnd5IY8K5tjxB] requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.swt.gtk.linux.x86_64/[3.4.0.v3448f,3.4.0.v3448f]
Unsatisfied dependency: [org.eclipse.rcp.feature.group
3.4.0.v20080324a-989JERhEk-jWnd5IY8K5tjxB] requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.equinox.launcher.gtk.linux.x86_64/[1.0.100.v20080606,1.0.100.v20080606]
Unsatisfied dependency: [org.eclipse.rcp.feature.group
3.4.0.v20080324a-989JERhEk-jWnd5IY8K5tjxB] requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.swt/[3.4.0.v3448f,3.4.0.v3448f]
Unsatisfied dependency: [org.eclipse.rcp.feature.group
3.4.0.v20080324a-989JERhEk-jWnd5IY8K5tjxB] requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.rcp.feature.jar/[3.4.0.v20080324a-989JERhEk-jWnd5IY8K5tjxB,3.4.0.v20080324a-989JERhEk-jWnd5IY8K5tjxB]
Unsatisfied dependency: [org.eclipse.rcp.feature.group
3.4.0.v20080324a-989JERhEk-jWnd5IY8K5tjxB] requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.update.configurator/[3.2.200.v20080417,3.2.200.v20080417]
Unsatisfied dependency: [org.eclipse.rcp.feature.group
3.4.0.v20080324a-989JERhEk-jWnd5IY8K5tjxB] requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.help/[3.3.100.v20080610,3.3.100.v20080610]
Unsatisfied dependency: [org.eclipse.help.feature.group
1.0.0.v20080603-7r7xEHJEJkZu5nE6Q4Qrtvu6JZ9L] requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.help.feature.jar/[1.0.0.v20080603-7r7xEHJEJkZu5nE6Q4Qrtvu6JZ9L,1.0.0.v20080603-7r7xEHJEJkZu5nE6Q4Qrtvu6JZ9L]
Unsatisfied dependency: [org.eclipse.help.feature.group
1.0.0.v20080603-7r7xEHJEJkZu5nE6Q4Qrtvu6JZ9L] requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.help.ui/[3.3.100.v20080521,3.3.100.v20080521]
Unsatisfied dependency: [org.eclipse.help.feature.group
1.0.0.v20080603-7r7xEHJEJkZu5nE6Q4Qrtvu6JZ9L] requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.rcp.feature.group/[3.4.0.v20080324a-989JERhEk-jWnd5IY8K5tjxB,3.4.0.v20080324a-989JERhEk-jWnd5IY8K5tjxB]
Unsatisfied dependency: [org.eclipse.help.feature.group
1.0.0.v20080603-7r7xEHJEJkZu5nE6Q4Qrtvu6JZ9L] requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.help.base/[3.3.100.v20080617,3.3.100.v20080617]
Unsatisfied dependency: [org.eclipse.help.feature.group
1.0.0.v20080603-7r7xEHJEJkZu5nE6Q4Qrtvu6JZ9L] requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.help.webapp/[3.3.100.v20080528,3.3.100.v20080528]


--
Paul Webster
Hi floor.  Make me a sammich! - GIR
_______________________________________________
p2-dev mailing list
p2-dev@xxxxxxxxxxx

https://dev.eclipse.org/mailman/listinfo/p2-dev

_______________________________________________
p2-dev mailing list
p2-dev@xxxxxxxxxxx
https://dev.eclipse.org/mailman/listinfo/p2-dev